### Method

# Gimp Drawable set_pixel

#### Declaration [src]

    gboolean
    gimp_drawable_set_pixel (
      GimpDrawable* drawable,
      gint x_coord,
      gint y_coord,
      GeglColor* color
    )

#### Description [src]

Sets the value of the pixel at the specified coordinates.

This procedure sets the pixel value at the specified coordinates. Note that this function is not undoable, you should use it only on drawables you just created yourself.

#### Parameters

`x_coord`

  Type: `gint`

  The x coordinate.

`y_coord`

  Type: `gint`

  The y coordinate.

`color`

  Type: `GeglColor`

  The pixel color.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.